Geo::GDAL::FFI::Object(3pm)

NAME
Geo::GDAL::FFI::Object - A GDAL major object

SYNOPSIS

DESCRIPTION
The base class for classes Driver, Dataset, Band, and Layer.

METHODS

  GetDescription
 my $desc = $object->GetDescription;

  HasCapability
 my $has_cap = $object->HasCapability($capability);

  GetMetadataDomainList
 my @domains = $object->GetMetadataDomainList;

  GetMetadata
 my %metadata = $object->GetMetadata($domain);

Returns the object metadata of a given domain.

 my $metadata = $object->GetMetadata($domain);

Returns the object metadata of a given domain in an anonymous hash.

 my %metadata = $object->GetMetadata;

Returns the object metadata.

 my $metadata = $object->GetMetadata;

Returns the object metadata in an anonymous hash.

  SetMetadata
 $object->SetMetadata($metadata, $domain);

Sets the object metadata in a given domain. The metadata is in an anonymous hash.

 $object->SetMetadata($metadata);

Sets the object metadata in the domains that are the keys of the hash $metadata references. The values of the hash are the metadata in anonymous hashes.

  GetMetadataItem
 my $value = $object->GetMetadataItem($item, $domain)

Gets the value of the metadata item in a domain (by default an empty string).

  SetMetadataItem
 $object->GetMetadataItem($item, $value, $domain)

Sets the value of the metadata item in a domain (by default an empty string).

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>